GETHOSTID(2)

NAME
gethostid, sethostid - get/set unique identifier of current host

SYNOPSIS
hostid = gethostid()
int hostid;

sethostid(hostid)
int hostid;

DESCRIPTION
Sethostid establishes a 32-bit identifier for the current processor which is intended to be unique among all UNIX systems in existence. This is normally a DARPA Internet address for the local machine. This call is allowed only to the super-user and is normally performed at boot time.

Gethostid returns the 32-bit identifier for the current processor.

SEE ALSO
hostid(1), gethostname(2)

BUGS
32 bits for the identifier is too small.